XnModuleUserGeneratorInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnModuleGeneratorInterface * | pGeneratorInterface
XnUInt16(* | GetNumberOfUsers )(XnModuleNodeHandle hGenerator)
XnStatus(* | GetUsers )(XnModuleNodeHandle hGenerator, XnUserID *pUsers, XnUInt16 *pnUsers)
XnStatus(* | GetCoM )(XnModuleNodeHandle hGenerator, XnUserID user, XnPoint3D *pCoM)
XnStatus(* | GetUserPixels )(XnModuleNodeHandle hGenerator, XnUserID user, XnSceneMetaData *pScene)
XnStatus(* | RegisterUserCallbacks )(XnModuleNodeHandle hGenerator, XnModuleUserHandler NewUserCB, XnModuleUserHandler LostUserCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterUserCallbacks )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnModuleSkeletonCapabilityInterface * | pSkeletonInterface
XnModulePoseDetectionCapabilityInterface * | pPoseDetectionInterface
XnStatus(* | RegisterToUserExit )(XnModuleNodeHandle hGenerator, XnModuleUserHandler UserExitCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromUserExit )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | RegisterToUserReEnter )(XnModuleNodeHandle hGenerator, XnModuleUserHandler UserReEnterCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromUserReEnter )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Detailed Description

User generator Interface.

## Member Data Documentation

## GetCoM

XnStatus(* XnModuleUserGeneratorInterface::GetCoM) (XnModuleNodeHandle hGenerator, XnUserID user, XnPoint3D *pCoM)

## GetNumberOfUsers

XnUInt16(* XnModuleUserGeneratorInterface::GetNumberOfUsers) (XnModuleNodeHandle hGenerator)

## GetUserPixels

XnStatus(* XnModuleUserGeneratorInterface::GetUserPixels) (XnModuleNodeHandle hGenerator, XnUserID user, XnSceneMetaData *pScene)

## GetUsers

XnStatus(* XnModuleUserGeneratorInterface::GetUsers) (XnModuleNodeHandle hGenerator, XnUserID *pUsers, XnUInt16 *pnUsers)

## pGeneratorInterface

XnModuleGeneratorInterface* XnModuleUserGeneratorInterface::pGeneratorInterface

## pPoseDetectionInterface

XnModulePoseDetectionCapabilityInterface* XnModuleUserGeneratorInterface::pPoseDetectionInterface

Contains Pose Detection Capability interface

## pSkeletonInterface

XnModuleSkeletonCapabilityInterface* XnModuleUserGeneratorInterface::pSkeletonInterface

Contains Skeleton Capability interface.

## RegisterToUserExit

XnStatus(* XnModuleUserGeneratorInterface::RegisterToUserExit) (XnModuleNodeHandle hGenerator, XnModuleUserHandler UserExitCB, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToUserReEnter

XnStatus(* XnModuleUserGeneratorInterface::RegisterToUserReEnter) (XnModuleNodeHandle hGenerator, XnModuleUserHandler UserReEnterCB, void *pCookie, XnCallbackHandle *phCallback)

## RegisterUserCallbacks

XnStatus(* XnModuleUserGeneratorInterface::RegisterUserCallbacks) (XnModuleNodeHandle hGenerator, XnModuleUserHandler NewUserCB, XnModuleUserHandler LostUserCB, void *pCookie, XnCallbackHandle *phCallback)

## UnregisterFromUserExit

void(* XnModuleUserGeneratorInterface::UnregisterFromUserExit) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterFromUserReEnter

void(* XnModuleUserGeneratorInterface::UnregisterFromUserReEnter) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterUserCallbacks

void(* XnModuleUserGeneratorInterface::UnregisterUserCallbacks) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

The documentation for this struct was generated from the following file:

- XnModuleInterface.h